org.springframework.cloud.dataflow.server.batch

## Class JdbcSearchableJobInstanceDao

- java.lang.Object
- - org.springframework.batch.core.repository.dao.AbstractJdbcBatchMetadataDao
  - - org.springframework.batch.core.repository.dao.JdbcJobInstanceDao
    - - org.springframework.cloud.dataflow.server.batch.JdbcSearchableJobInstanceDao

- All Implemented Interfaces:
    org.springframework.batch.core.repository.dao.JobInstanceDao, org.springframework.beans.factory.InitializingBean, SearchableJobInstanceDao

      public class JdbcSearchableJobInstanceDao
      extends org.springframework.batch.core.repository.dao.JdbcJobInstanceDao
      implements SearchableJobInstanceDao

  Author:
    Dave Syer

- - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.repository.dao.AbstractJdbcBatchMetadataDao

      `DEFAULT_EXIT_MESSAGE_LENGTH, DEFAULT_TABLE_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcSearchableJobInstanceDao()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `int` | `countJobInstances(String name)`

    - ### Methods inherited from class org.springframework.batch.core.repository.dao.JdbcJobInstanceDao

      `createJobInstance, findJobInstancesByName, getJobInstance, getJobInstance, getJobInstance, getJobInstanceCount, getJobInstances, getJobNames, getLastJobInstance, setJobIncrementer`

    - ### Methods inherited from class org.springframework.batch.core.repository.dao.AbstractJdbcBatchMetadataDao

      `getClobTypeToUse, getJdbcTemplate, getQuery, getTablePrefix, setClobTypeToUse, setJdbcTemplate, setTablePrefix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.batch.core.repository.dao.JobInstanceDao

      `createJobInstance, findJobInstancesByName, getJobInstance, getJobInstance, getJobInstance, getJobInstanceCount, getJobInstances, getJobNames, getLastJobInstance`

- - ### Constructor Detail

    - #### JdbcSearchableJobInstanceDao

          public JdbcSearchableJobInstanceDao()

  - ### Method Detail

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Overrides:
        `afterPropertiesSet` in class `org.springframework.batch.core.repository.dao.JdbcJobInstanceDao`
      Throws:
        `Exception`
      See Also:
        `JdbcJobExecutionDao.afterPropertiesSet()`

    - #### countJobInstances

          public int countJobInstances(String name)

      Specified by:
        `countJobInstances` in interface `SearchableJobInstanceDao`
      Parameters:
        `name` - the name of the job instances
      Returns:
        the number of instances
      See Also:
        `(String)`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.